Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.executables.viewer
Class ViterbiTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          calhoun.analysis.crf.executables.viewer.ViterbiTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class ViterbiTableModel

extends javax.swing.table.AbstractTableModel

See Also:
  Serialized Form

Nested Class Summary
`class` | `ViterbiTableModel.ViterbiCellRenderer`

Constructor Summary
`ViterbiTableModel(Conrad crfModel, TrainingSequence seq)`

Method Summary
`java.lang.Class` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int col)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`
`boolean` | `isCellEditable(int row, int col)`
`void` | `setValueAt(java.lang.Object value, int row, int col)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViterbiTableModel

    public ViterbiTableModel(Conrad crfModel,
                             TrainingSequence seq)

Method Detail

### getColumnName

    public java.lang.String getColumnName(int col)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getColumnClass

    public java.lang.Class getColumnClass(int col)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

### isCellEditable

    public boolean isCellEditable(int row,
                                  int col)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int row,
                           int col)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD